summaryrefslogtreecommitdiff
path: root/net-libs/libinfinity/files
diff options
context:
space:
mode:
Diffstat (limited to 'net-libs/libinfinity/files')
-rw-r--r--net-libs/libinfinity/files/infinoted.confd12
-rw-r--r--net-libs/libinfinity/files/infinoted.initd27
2 files changed, 39 insertions, 0 deletions
diff --git a/net-libs/libinfinity/files/infinoted.confd b/net-libs/libinfinity/files/infinoted.confd
new file mode 100644
index 000000000000..81e62a4d9515
--- /dev/null
+++ b/net-libs/libinfinity/files/infinoted.confd
@@ -0,0 +1,12 @@
+# Config file for /etc/init.d/infinoted for Gentoo Linux
+
+USER="infinote"
+GROUP="infinote"
+UMASK="007"
+
+PIDFILE="/var/run/infinoted.pid"
+
+# Please read `infinoted --help` for other options.
+# This is a fast setup for local networks only (maybe not even those),
+# make sure you use appropriate security on untrusted networks.
+OPTIONS="--root-directory=/var/lib/infinote --security-policy=no-tls"
diff --git a/net-libs/libinfinity/files/infinoted.initd b/net-libs/libinfinity/files/infinoted.initd
new file mode 100644
index 000000000000..a235ceaec463
--- /dev/null
+++ b/net-libs/libinfinity/files/infinoted.initd
@@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting infinoted"
+ start-stop-daemon \
+ --start --quiet --background --make-pidfile \
+ --pidfile /var/run/infinoted.pid \
+ --exec /usr/bin/infinoted \
+ --user ${USER} --group ${GROUP} --umask 007 \
+ -- ${OPTIONS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping infinoted"
+ start-stop-daemon \
+ --stop --quiet \
+ --pidfile /var/run/infinoted.pid
+ eend $?
+}